﻿using System;
using System.Text;
using System.Collections.Generic;
using System.Linq;
using Bitly.Net.Test.Utilities;
using Ckode.Bitly.Net;
using Microsoft.VisualStudio.TestTools.UnitTesting;

namespace Bitly.Net.Test.Tests
{
	[TestClass]
	public class AuthenticateTest
	{
		[ExpectedException(typeof(ArgumentException))]
		[TestMethod]
		public void TestEmptyUsername()
		{
			// Arrange
			var client = Configuration.CreateClient();

			// Act
			client.Authenticate(string.Empty, "bar");

			// Assert
		}

		[ExpectedException(typeof(ArgumentException))]
		[TestMethod]
		public void TestEmptyPassword()
		{
			// Arrange
			var client = Configuration.CreateClient();

			// Act
			client.Authenticate("foo", string.Empty);

			// Assert
		}

		[TestMethod]
		public void TestInvalidAccount()
		{
			// Arrange
			var client = Configuration.CreateClient();

			// Act
			var result = client.Authenticate("foo", "bar");

			// Assert
			Assert.IsFalse(result.Successful);
		}

		[TestMethod]
		public void TestValidAccount()
		{
			// Arrange
			var client = Configuration.CreateClient();

			// Act
			var result = client.Authenticate(Configuration.Login, "4Ged5hest");

			// Assert
			Assert.IsTrue(result.Successful);
			Assert.AreEqual(Configuration.ApiKey, result.ApiKey);
		}
	}
}
