﻿/*
 *  Bitly.Net is a Dot.Net wrapper around the bit.ly RESTful API. bit.ly is an URL shortening service located at http://bit.ly
 *  Copyright (C) 2010 Ckode.dk

 *  This file is part of Bitly.Net.

 *  Bitly.Net is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU Lesser General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.

 *  Bitly.Net is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Lesser General Public License for more details.

 *  You should have received a copy of the GNU Lesser General Public License
 *  along with Bitly.Net.  If not, see <http://www.gnu.org/licenses/>.
 */

using System;
using System.Text;
using System.Collections.Generic;
using System.Linq;
using Microsoft.VisualStudio.TestTools.UnitTesting;
using Ckode.Bitly.Net;
using Bitly.Net.Test.Utilities;

namespace Bitly.Net.Test.Tests
{
    [TestClass]
    public class ProDomainTest
    {
        [TestMethod]
        [ExpectedException(typeof(ArgumentException))]
        public void TestNoDomain()
        {
            // Arrange
            var client = Configuration.CreateClient();

            // Act
            client.IsProDomain(string.Empty);
        }

        [TestMethod]
        [ExpectedException(typeof(ArgumentException))]
        public void TestTooLongDomain()
        {
            // Arrange
            var client = Configuration.CreateClient();
            var longDomain = string.Join(string.Empty, Enumerable.Repeat("s", 16));

            // Act
            client.IsProDomain(longDomain);
        }

        [TestMethod]
        public void TestValidDomain()
        {
            // Arrange
            var client = Configuration.CreateClient();

            // Act
            var result = client.IsProDomain("pep.si"); // should be a bit.ly domain I think

            // Assert
            Assert.IsTrue(result.IsProDomain);
        }
    }
}
