﻿using Ckode.Bitly.Net.Exceptions;
using Ckode.Bitly.Net.Request;

namespace Ckode.Bitly.Net.Functions
{
	internal class AuthenticateFunction : IFunction
	{
		private readonly string login, password;

		public AuthenticateFunction(string login, string password)
		{
			if (string.IsNullOrEmpty(login))
				throw ExceptionFactory.CreateMissingArgumentException("login");

			if (string.IsNullOrEmpty(password))
				throw ExceptionFactory.CreateMissingArgumentException("password");

			this.login = login;
			this.password = password;
		}

		public FunctionName Function
		{
			get { return FunctionName.Authenticate; }
		}

		public HttpRequest CreateRequest()
		{
			var request = new HttpPostRequest();

			request.AddParameter(ParameterNames.XLogin, login);
			request.AddParameter(ParameterNames.XPassword, password);

			return request;
		}
	}
}
