﻿/*
 *  Bitly.Net is a Dot.Net wrapper around the bit.ly RESTful API. bit.ly is an URL shortening service located at http://bit.ly
 *  Copyright (C) 2010 Ckode.dk

 *  This file is part of Bitly.Net.

 *  Bitly.Net is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU Lesser General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.

 *  Bitly.Net is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Lesser General Public License for more details.

 *  You should have received a copy of the GNU Lesser General Public License
 *  along with Bitly.Net.  If not, see <http://www.gnu.org/licenses/>.
 */

using System.Net;

namespace Ckode.Bitly.Net.Request
{
	/// <summary>
	/// Simple wrapper for generating GET requests.
	/// </summary>
	internal class HttpGetRequest : HttpRequest
	{
		protected override WebRequest CreateRequest()
		{
			var parameterString = BuildParameterString();

			var request = WebRequest.Create(this.Url + "?" + parameterString) as HttpWebRequest;
			request.Method = "GET";

			return request;
		}
	}
}
