﻿/*
 *  Bitly.Net is a Dot.Net wrapper around the bit.ly RESTful API. bit.ly is an URL shortening service located at http://bit.ly
 *  Copyright (C) 2010 Ckode.dk

 *  This file is part of Bitly.Net.

 *  Bitly.Net is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU Lesser General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.

 *  Bitly.Net is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Lesser General Public License for more details.

 *  You should have received a copy of the GNU Lesser General Public License
 *  along with Bitly.Net.  If not, see <http://www.gnu.org/licenses/>.
 */

using Ckode.Bitly.Net.Results;
namespace Ckode.Bitly.Net.ResultParsers
{
    internal class ShortenResultParser : IResultParser<ShortenResult>
    {
		public ShortenResult Parse(string rawResult)
        {
            var baseParser = new BaseResultParser(rawResult, this);
            var dataElement = baseParser.GetDataElement();

			return new ShortenResult()
            {
                Url = dataElement.Element("url").Value,
                Hash = dataElement.Element("hash").Value,
                GlobalHash = dataElement.Element("global_hash").Value,
                LongUrl = dataElement.Element("long_url").Value,
                NewHash = int.Parse(dataElement.Element("new_hash").Value) > 0
            };
        }

		public FunctionName Function
		{
			get { return FunctionName.Shorten; }
		}
	}
}