﻿/*
 *  Bitly.Net is a Dot.Net wrapper around the bit.ly RESTful API. bit.ly is an URL shortening service located at http://bit.ly
 *  Copyright (C) 2010 Ckode.dk

 *  This file is part of Bitly.Net.

 *  Bitly.Net is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU Lesser General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.

 *  Bitly.Net is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Lesser General Public License for more details.

 *  You should have received a copy of the GNU Lesser General Public License
 *  along with Bitly.Net.  If not, see <http://www.gnu.org/licenses/>.
 */

namespace Ckode.Bitly.Net.Results
{
	public class BaseResult
	{
		/// <summary>
		/// An echo back of the shortUrl request parameter, if a shortUrl was used for the request. Otherwise null.
		/// </summary>
		public string ShortUrl { get; internal set; }
		/// <summary>
		/// An echo back of the hash request parameter, if a hash was used for the request. Otherwise null.
		/// </summary>
		public string Hash { get; internal set; }
		/// <summary>
		/// The corresponding bit.ly user identifier.
		/// </summary>
		public string UserHash { get; internal set; }
		/// <summary>
		/// The corresponding bit.ly aggregate identifier.
		/// </summary>
		public string GlobalHash { get; internal set; }

		internal BaseResult()
		{
		}
	}
}