﻿/*
 *  Bitly.Net is a Dot.Net wrapper around the bit.ly RESTful API. bit.ly is an URL shortening service located at http://bit.ly
 *  Copyright (C) 2010 Ckode.dk

 *  This file is part of Bitly.Net.

 *  Bitly.Net is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU Lesser General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.

 *  Bitly.Net is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Lesser General Public License for more details.

 *  You should have received a copy of the GNU Lesser General Public License
 *  along with Bitly.Net.  If not, see <http://www.gnu.org/licenses/>.
 */

namespace Ckode.Bitly.Net.Results
{
	public class ClicksResult : BaseResult
	{
		/// <summary>
		/// The total count of clicks to this users bit.ly link.
		/// </summary>
		public int UserClicks { get; internal set; }

		/// <summary>
		/// The total count of clicks to all bit.ly links that point to the same long url.
		/// </summary>
		public int GlobalClicks { get; internal set; }

		internal ClicksResult()
			: base()
		{
		}
	}
}
