﻿/*
 *  Bitly.Net is a Dot.Net wrapper around the bit.ly RESTful API. bit.ly is an URL shortening service located at http://bit.ly
 *  Copyright (C) 2010 Ckode.dk

 *  This file is part of Bitly.Net.

 *  Bitly.Net is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU Lesser General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  (at your option) any later version.

 *  Bitly.Net is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Lesser General Public License for more details.

 *  You should have received a copy of the GNU Lesser General Public License
 *  along with Bitly.Net.  If not, see <http://www.gnu.org/licenses/>.
 */

namespace Ckode.Bitly.Net.Results
{
	public class ReferrerStats
	{
		/// <summary>
		/// A referring site for a given bit.ly link.
		/// </summary>
		public string Referrer { get; internal set; }

		/// <summary>
		/// A referring application (such as Tweetdeck) for a given bit.ly link.
		/// </summary>
		public string ReferrerApp { get; internal set; }

		/// <summary>
		/// The URL of a referring application (such as http://tweetdeck.com).
		/// </summary>
		public string Url { get; internal set; }

		/// <summary>
		/// The number of clicks from the corresponding referrer.
		/// </summary>
		public int Clicks { get; internal set; }

		internal ReferrerStats()
		{ }
	}
}
